import dynamix_sdk.base as _base


class CloudapiLbUpdateSysctlParamsResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbUpdateSysctlParamsProtocol(_base.BasePostAPIFunctionProtocol):
    def update_sysctl_params(
        self,
        *,
        lb_id: int,
        sysctl_params: list[dict[str, str]],
    ) -> CloudapiLbUpdateSysctlParamsResultBool:
        ...
